summaryrefslogtreecommitdiff
path: root/tests/sort
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1997-10-26 15:07:47 +0000
committerJim Meyering <jim@meyering.net>1997-10-26 15:07:47 +0000
commitb67ad81f67a76c2b952f1281b2de0f0623330d6b (patch)
treefd83e6d51a569f331bae36e4e810306e66d2023f /tests/sort
parentd9eac1e2c09ecdbea2295a380ac0f36d4ecae73a (diff)
downloadcoreutils-b67ad81f67a76c2b952f1281b2de0f0623330d6b.tar.xz
.
Diffstat (limited to 'tests/sort')
-rw-r--r--tests/sort/Makefile.am6
-rw-r--r--tests/sort/Makefile.in6
-rwxr-xr-xtests/sort/sort-tests121
3 files changed, 128 insertions, 5 deletions
diff --git a/tests/sort/Makefile.am b/tests/sort/Makefile.am
index 5d8f68b7f..95ed026fd 100644
--- a/tests/sort/Makefile.am
+++ b/tests/sort/Makefile.am
@@ -17,7 +17,8 @@ n10b.X n11a.I n11a.X n11b.I n11b.X 01a.I 01a.X 02a.I 02a.X 02b.I 02b.X 02c.I \
11b.X 11c.I 11c.X 11d.I 11d.X 12a.I 12a.X 12b.I 12b.X 12c.I 12c.X 12d.I 12d.X \
13a.I 13a.X 13b.I 13b.X 14a.I 14a.X 14b.I 14b.X 15a.I 15a.X 15b.I 15b.X 15c.I \
15c.X 15d.I 15d.X 15e.I 15e.X 16a.I 16a.X 17.I 17.X 18a.I 18a.X 18b.I 18b.X \
-18c.I 18c.X 18d.I 18d.X 18e.I 18e.X 19a.I 19a.X 19b.I 19b.X 20a.I 20a.X
+18c.I 18c.X 18d.I 18d.X 18e.I 18e.X 19a.I 19a.X 19b.I 19b.X 20a.I 20a.X 21a.I \
+21a.X 21b.I 21b.X 21c.I 21c.X 21d.I 21d.X 21e.I 21e.X 21f.I 21f.X 21g.I 21g.X
run_gen = n1.O n1.E n2.O n2.E n3.O n3.E n4.O n4.E n5.O n5.E n6.O n6.E n7.O \
n7.E n8a.O n8a.E n8b.O n8b.E n9a.O n9a.E n9b.O n9b.E n10a.O n10a.E n10b.O \
n10b.E n11a.O n11a.E n11b.O n11b.E 01a.O 01a.E 02a.O 02a.E 02b.O 02b.E 02c.O \
@@ -32,7 +33,8 @@ n10b.E n11a.O n11a.E n11b.O n11b.E 01a.O 01a.E 02a.O 02a.E 02b.O 02b.E 02c.O \
11b.E 11c.O 11c.E 11d.O 11d.E 12a.O 12a.E 12b.O 12b.E 12c.O 12c.E 12d.O 12d.E \
13a.O 13a.E 13b.O 13b.E 14a.O 14a.E 14b.O 14b.E 15a.O 15a.E 15b.O 15b.E 15c.O \
15c.E 15d.O 15d.E 15e.O 15e.E 16a.O 16a.E 17.O 17.E 18a.O 18a.E 18b.O 18b.E \
-18c.O 18c.E 18d.O 18d.E 18e.O 18e.E 19a.O 19a.E 19b.O 19b.E 20a.O 20a.E
+18c.O 18c.E 18d.O 18d.E 18e.O 18e.E 19a.O 19a.E 19b.O 19b.E 20a.O 20a.E 21a.O \
+21a.E 21b.O 21b.E 21c.O 21c.E 21d.O 21d.E 21e.O 21e.E 21f.O 21f.E 21g.O 21g.E
##test-files-end
EXTRA_DIST = mk-script.pl Test.pm $x-tests $(explicit) $(maint_gen)
diff --git a/tests/sort/Makefile.in b/tests/sort/Makefile.in
index f6e31f3a0..98899279f 100644
--- a/tests/sort/Makefile.in
+++ b/tests/sort/Makefile.in
@@ -101,7 +101,8 @@ n10b.X n11a.I n11a.X n11b.I n11b.X 01a.I 01a.X 02a.I 02a.X 02b.I 02b.X 02c.I \
11b.X 11c.I 11c.X 11d.I 11d.X 12a.I 12a.X 12b.I 12b.X 12c.I 12c.X 12d.I 12d.X \
13a.I 13a.X 13b.I 13b.X 14a.I 14a.X 14b.I 14b.X 15a.I 15a.X 15b.I 15b.X 15c.I \
15c.X 15d.I 15d.X 15e.I 15e.X 16a.I 16a.X 17.I 17.X 18a.I 18a.X 18b.I 18b.X \
-18c.I 18c.X 18d.I 18d.X 18e.I 18e.X 19a.I 19a.X 19b.I 19b.X 20a.I 20a.X
+18c.I 18c.X 18d.I 18d.X 18e.I 18e.X 19a.I 19a.X 19b.I 19b.X 20a.I 20a.X 21a.I \
+21a.X 21b.I 21b.X 21c.I 21c.X 21d.I 21d.X 21e.I 21e.X 21f.I 21f.X 21g.I 21g.X
run_gen = n1.O n1.E n2.O n2.E n3.O n3.E n4.O n4.E n5.O n5.E n6.O n6.E n7.O \
n7.E n8a.O n8a.E n8b.O n8b.E n9a.O n9a.E n9b.O n9b.E n10a.O n10a.E n10b.O \
n10b.E n11a.O n11a.E n11b.O n11b.E 01a.O 01a.E 02a.O 02a.E 02b.O 02b.E 02c.O \
@@ -116,7 +117,8 @@ n10b.E n11a.O n11a.E n11b.O n11b.E 01a.O 01a.E 02a.O 02a.E 02b.O 02b.E 02c.O \
11b.E 11c.O 11c.E 11d.O 11d.E 12a.O 12a.E 12b.O 12b.E 12c.O 12c.E 12d.O 12d.E \
13a.O 13a.E 13b.O 13b.E 14a.O 14a.E 14b.O 14b.E 15a.O 15a.E 15b.O 15b.E 15c.O \
15c.E 15d.O 15d.E 15e.O 15e.E 16a.O 16a.E 17.O 17.E 18a.O 18a.E 18b.O 18b.E \
-18c.O 18c.E 18d.O 18d.E 18e.O 18e.E 19a.O 19a.E 19b.O 19b.E 20a.O 20a.E
+18c.O 18c.E 18d.O 18d.E 18e.O 18e.E 19a.O 19a.E 19b.O 19b.E 20a.O 20a.E 21a.O \
+21a.E 21b.O 21b.E 21c.O 21c.E 21d.O 21d.E 21e.O 21e.E 21f.O 21f.E 21g.O 21g.E
EXTRA_DIST = mk-script.pl Test.pm $x-tests $(explicit) $(maint_gen)
noinst_SCRIPTS = $x-tests
diff --git a/tests/sort/sort-tests b/tests/sort/sort-tests
index f518387ce..639af7b8a 100755
--- a/tests/sort/sort-tests
+++ b/tests/sort/sort-tests
@@ -1633,8 +1633,127 @@ else
esac
fi
test -s 20a.E || rm -f 20a.E
+$xx $srcdir/21a.I > 21a.O 2> 21a.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test 21a failed: ../../src/sort return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp 21a.O $srcdir/21a.X > /dev/null 2>&1
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed 21a"; fi ;;
+ 1) $echo "Test 21a failed: files 21a.O and $srcdir/21a.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test 21a may have failed." 1>&2;
+ $echo The command "cmp 21a.O $srcdir/21a.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s 21a.E || rm -f 21a.E
+$xx -f $srcdir/21b.I > 21b.O 2> 21b.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test 21b failed: ../../src/sort return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp 21b.O $srcdir/21b.X > /dev/null 2>&1
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed 21b"; fi ;;
+ 1) $echo "Test 21b failed: files 21b.O and $srcdir/21b.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test 21b may have failed." 1>&2;
+ $echo The command "cmp 21b.O $srcdir/21b.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s 21b.E || rm -f 21b.E
+$xx -f $srcdir/21c.I > 21c.O 2> 21c.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test 21c failed: ../../src/sort return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp 21c.O $srcdir/21c.X > /dev/null 2>&1
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed 21c"; fi ;;
+ 1) $echo "Test 21c failed: files 21c.O and $srcdir/21c.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test 21c may have failed." 1>&2;
+ $echo The command "cmp 21c.O $srcdir/21c.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s 21c.E || rm -f 21c.E
+$xx -f $srcdir/21d.I > 21d.O 2> 21d.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test 21d failed: ../../src/sort return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp 21d.O $srcdir/21d.X > /dev/null 2>&1
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed 21d"; fi ;;
+ 1) $echo "Test 21d failed: files 21d.O and $srcdir/21d.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test 21d may have failed." 1>&2;
+ $echo The command "cmp 21d.O $srcdir/21d.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s 21d.E || rm -f 21d.E
+$xx -f $srcdir/21e.I > 21e.O 2> 21e.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test 21e failed: ../../src/sort return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp 21e.O $srcdir/21e.X > /dev/null 2>&1
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed 21e"; fi ;;
+ 1) $echo "Test 21e failed: files 21e.O and $srcdir/21e.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test 21e may have failed." 1>&2;
+ $echo The command "cmp 21e.O $srcdir/21e.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s 21e.E || rm -f 21e.E
+$xx -fs $srcdir/21f.I > 21f.O 2> 21f.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test 21f failed: ../../src/sort return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp 21f.O $srcdir/21f.X > /dev/null 2>&1
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed 21f"; fi ;;
+ 1) $echo "Test 21f failed: files 21f.O and $srcdir/21f.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test 21f may have failed." 1>&2;
+ $echo The command "cmp 21f.O $srcdir/21f.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s 21f.E || rm -f 21f.E
+$xx -fu $srcdir/21g.I > 21g.O 2> 21g.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test 21g failed: ../../src/sort return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp 21g.O $srcdir/21g.X > /dev/null 2>&1
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed 21g"; fi ;;
+ 1) $echo "Test 21g failed: files 21g.O and $srcdir/21g.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test 21g may have failed." 1>&2;
+ $echo The command "cmp 21g.O $srcdir/21g.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s 21g.E || rm -f 21g.E
if test $errors = 0 ; then
- $echo Passed all 95 tests. 1>&2
+ $echo Passed all 102 tests. 1>&2
else
$echo Failed $errors tests. 1>&2
fi